<template>
  <div class="container">
    <div class="empty-bag" v-if="!currentProducts.length">
      <h1>Ваша корзина пуста</h1>
      <router-link to="/">
        <p class="empty-text">добавить товары в корзину</p>
      </router-link>
    </div>
    <div v-else class="order-block">
      <div class="order-block__cards">
        <OrderCard
          v-for="product in currentProducts"
          :key="product.id"
          :product="product"
        />
      </div>

      <div>
        <div class="order-block__form">
          <h1>Оформление заказа</h1>
          <OrderForm @submit="handleSubmit" />
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import OrderCard from "@/components/OrderCard.vue";
import OrderForm from "@/components/OrderForm.vue";
import { mapGetters, mapActions } from "vuex";
export default {
  name: "ProductView",
  components: {
    OrderCard,
    OrderForm,
  },
  computed: {
    ...mapGetters(["getProducts", "getCartCount"]),
    products() {
      return this.getProducts;
    },
    cartCount() {
      return this.getCartCount;
    },
    currentProducts() {
      return this.products.filter((p) => this.cartCount?.includes(p.id));
    },
  },

  async mounted() {
    await this.loadProducts();
  },

  methods: {
    ...mapActions(["fetchProducts"]),

    loadProducts() {
      this.fetchProducts();
    },
    addToCard() {
      this.updateCartCount(this.product.id);
    },
    handleSubmit() {},
  },
};
</script>
<style scoped>
.container {
  padding: 5% 10%;
}
.order-block {
  display: flex;
  flex-direction: row;
  gap: 7%;
}
.order-block__cards {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.empty-bag {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.empty-text {
  color: black;
  opacity: 0.7;
}
</style>
